require("rrg")

# example of how to use these functions
html.file("report.html")
html.begin("Statistical Report 1")
html.h("Statistical Report 1")
html.p("This report shows some information about the swiss data set")

# write an image in the current directory
data(swiss)
attach(swiss)
swiss.lm <- lm(Agriculture ~ Examination)

png(filename = "fit1.png")
plot(formula(swiss.lm))
abline(swiss.lm)
dev.off()


# write the image to the report
html.h("Figure 1: Multiple Regression Fit", level=2)

html.img("fit1.png")

html.h("Table 1: Summary of Regression Results", level=2)
html.p("This table shows the results of the regression.  As you can see...")


# create an xtable for the analysis
swiss.lm.xtable <- xtable(swiss.lm)
caption(swiss.lm.xtable) <- "Multiple Regression of salnow ~ salbeg + work + age"
print(swiss.lm.xtable,type="html",file=html.default$file,append=TRUE)

# this demonstrates how to divert the commands that cannot print to a file
html.h("This output shows even more detail.", level=2)

tag.begin("pre")
html.divert()
summary(swiss.lm)
html.revert()
tag.end("pre")


html.h("Demonstration of Listing", level=2)
number.list <- c("One", "Two", "Three", "Four", "Five")
html.p("A unordered list:")
html.list(number.list)
html.p("An ordered list:")
html.list(number.list,type="ol")

html.end()

